package com.usky.issue.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 设备信息表
 * </p>
 *
 * @author fu
 * @since 2024-01-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class SpDevice implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 设备主键ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Integer id;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 安装位置
     */
    private String installAddress;

    /**
     * 安装楼层
     */
    private String installationFloor;

    /**
     * 安装时间
     */
    private LocalDateTime installationTime;

    /**
     * 设备类型：1 用户信息传输装置、2 水压探测器、3 独立烟感、5 液位探测器、6 消防远程控制终端、7 电气火灾
     */
    private Integer deviceType;

    /**
     * 所属校区
     */
    private String campus;


}
