package com.usky.issue.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 设备告警表
 * </p>
 *
 * @author fu
 * @since 2024-01-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class SpDeviceAlarm implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 告警时间
     */
    private LocalDateTime alarmTime;

    /**
     * 设备类型：1 用户信息传输装置、2 水压探测器、3 独立烟感、5 液位探测器、6 消防远程控制终端、7 电气火灾
     */
    private Integer deviceType;

    /**
     * 告警类型
     */
    private String alarmType;

    /**
     * 告警名称
     */
    private String alarmName;

    /**
     * 告警地址
     */
    private String alarmAddress;

    /**
     * 处理人
     */
    private String handler;

    /**
     * 处理时间
     */
    private LocalDateTime handlingTime;

    /**
     * 处理内容
     */
    private String handlingContent;

    /**
     * 处理状态：0、未处理 1、已处理
     */
    private Integer handlingStatus;

    /**
     * 是否误报:0、非误报 1、误报
     */
    private Integer falseAlarm;


}
